

#include "tageditor.h"


TagEditor::TagEditor(QWidget *parent)
	: QDialog(parent)
{
	setupUi( this );
	setWindowTitle("Edit Tags");
	connect( pushButton_ok, SIGNAL(clicked()), this, SLOT(accept()) );
	connect( pushButton_cancel, SIGNAL(clicked()), this, SLOT(reject()) );
}

QStringList TagEditor::tags()
{
	QStringList tl;
	tl << kLineEdit_title->text();
	tl << kLineEdit_artist->text();
	tl << kLineEdit_album->text();
	tl << kLineEdit_genre->text();
	tl << qSpinBox_track->cleanText();
	tl << qSpinBox_year->cleanText();
	tl << qPlainTextEdit_comment->toPlainText();
	
	return tl;
}

void TagEditor::setTags( QStringList tl)
{
	kLineEdit_title->setText( tl[0] );
	kLineEdit_artist->setText( tl[1] );
	kLineEdit_album->setText( tl[2] );
	kLineEdit_genre->setText( tl[3] );
	qSpinBox_track->setValue( tl[4].toInt() );
	qSpinBox_year->setValue( tl[5].toInt() );
	qPlainTextEdit_comment->setPlainText( tl[6] );
}